Skip to main content

Installer Program

Description

Phaser 3450 Installer program for Macintosh OS X 10.2.3 or later.

Supported platforms

  • Mac OS X 10.5 or lower

Supported languages

  • Swedish

Supported products

  • Phaser 3450

Need more support?

Get answers in the Community Support Forum

Join the conversation
Join the conversation
Join the conversation